/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.person.Name;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface NameMetaData
{
    public Name getEntity();

    public void setEntity(Name entity);

    public String getDegree();

    public String getFamilyName();

    public String getGivenName();

    public String getMiddleName();

    public String getPrefix();

    public String getSuffix();

    public String getType();
}